Jack2: Jack::JackMachThread Class Reference

Jack2 1.9.12

Public Member Functions | Static Public Member Functions | List of all members
Jack::JackMachThread Class Reference

Darwin threads. Real-time threads are actually "time constraint" threads. More...

`#include <JackMachThread.h>`

Inheritance diagram for Jack::JackMachThread:

## Public Member Functions
| JackMachThread (JackRunnableInterface *runnable, UInt64 period, UInt64 computation, UInt64 constraint)
| JackMachThread (JackRunnableInterface *runnable, int cancellation=PTHREAD_CANCEL_ASYNCHRONOUS)
int | Kill ()
int | AcquireRealTime ()
int | AcquireSelfRealTime ()
int | AcquireRealTime (int priority)
int | AcquireSelfRealTime (int priority)
int | DropRealTime ()
int | DropSelfRealTime ()
void | SetParams (UInt64 period, UInt64 computation, UInt64 constraint)
Public Member Functions inherited from Jack::JackPosixThread
| JackPosixThread (JackRunnableInterface *runnable, bool real_time, int priority, int cancellation)
| JackPosixThread (JackRunnableInterface *runnable, int cancellation=PTHREAD_CANCEL_ASYNCHRONOUS)
int | Start ()
int | StartSync ()
int | Kill ()
int | Stop ()
void | Terminate ()
int | AcquireRealTime ()
int | AcquireSelfRealTime ()
int | AcquireRealTime (int priority)
int | AcquireSelfRealTime (int priority)
int | DropRealTime ()
int | DropSelfRealTime ()
jack_native_thread_t | GetThreadID ()
bool | IsThread ()
Public Member Functions inherited from Jack::detail::JackThreadInterface
| JackThreadInterface (JackRunnableInterface *runnable, int priority, bool real_time, int cancellation)
kThreadState | GetStatus ()
void | SetStatus (kThreadState status)
void | SetParams (UInt64 period, UInt64 computation, UInt64 constraint)
int | Start ()
int | StartSync ()
int | Kill ()
int | Stop ()
void | Terminate ()
int | AcquireRealTime ()
int | AcquireSelfRealTime ()
int | AcquireRealTime (int priority)
int | AcquireSelfRealTime (int priority)
int | DropRealTime ()
int | DropSelfRealTime ()
jack_native_thread_t | GetThreadID ()
bool | IsThread ()

## Static Public Member Functions
static int | GetParams (jack_native_thread_t thread, UInt64 *period, UInt64 *computation, UInt64 *constraint)
static int | SetThreadToPriority (jack_native_thread_t thread, UInt32 inPriority, Boolean inIsFixed, UInt64 period, UInt64 computation, UInt64 constraint)
static int | AcquireRealTimeImp (jack_native_thread_t thread, UInt64 period, UInt64 computation, UInt64 constraint)
static int | AcquireRealTimeImp (jack_native_thread_t thread, int priority, UInt64 period, UInt64 computation, UInt64 constraint)
static int | DropRealTimeImp (jack_native_thread_t thread)
Static Public Member Functions inherited from Jack::JackPosixThread
static int | AcquireRealTimeImp (jack_native_thread_t thread, int priority)
static int | AcquireRealTimeImp (jack_native_thread_t thread, int priority, UInt64 period, UInt64 computation, UInt64 constraint)
static int | DropRealTimeImp (jack_native_thread_t thread)
static int | StartImp (jack_native_thread_t *thread, int priority, int realtime, void *(*start_routine)(void *), void *arg)
static int | StopImp (jack_native_thread_t thread)
static int | KillImp (jack_native_thread_t thread)
Static Public Member Functions inherited from Jack::detail::JackThreadInterface
static int | AcquireRealTimeImp (jack_native_thread_t thread, int priority)
static int | AcquireRealTimeImp (jack_native_thread_t thread, int priority, UInt64 period, UInt64 computation, UInt64 constraint)
static int | DropRealTimeImp (jack_native_thread_t thread)
static int | StartImp (jack_native_thread_t *thread, int priority, int realtime, void *(*start_routine)(void *), void *arg)
static int | StopImp (jack_native_thread_t thread)
static int | KillImp (jack_native_thread_t thread)

## Additional Inherited Members
Public Types inherited from Jack::detail::JackThreadInterface
enum | kThreadState { kIdle, kStarting, kIniting, kRunning }
Static Protected Member Functions inherited from Jack::JackPosixThread
static void * | ThreadHandler (void *arg)
Protected Attributes inherited from Jack::JackPosixThread
jack_native_thread_t | fThread
Protected Attributes inherited from Jack::detail::JackThreadInterface
JackRunnableInterface * | fRunnable
int | fPriority
bool | fRealTime
volatile kThreadState | fStatus
int | fCancellation

## Detailed Description

Darwin threads. Real-time threads are actually "time constraint" threads.

Definition at line 92 of file JackMachThread.h.

The documentation for this class was generated from the following file:

- JackMachThread.h